## ZpjSkydrivePhoto ZpjSkydrivePhoto — Skydrive photo object. |

## Functions

ZpjSkydriveEntry * | zpj_skydrive_photo_new ()

## Types and Values

struct | ZpjSkydrivePhoto
struct | ZpjSkydrivePhotoClass

## Object Hierarchy

        GObject
        ╰── ZpjSkydriveEntry
            ╰── ZpjSkydriveFile
                ╰── ZpjSkydrivePhoto

## Includes

    #include <zpj/zpj.h>

## Description

ZpjSkydrivePhoto represents a Skydrive photo object.

## Functions

### zpj_skydrive_photo_new ()

    ZpjSkydriveEntry *
    zpj_skydrive_photo_new (JsonNode *node);

Creates a new ZpjSkydrivePhoto from the given `node` . If you already know the ID of the photo then you can use `zpj_skydrive_query_info_from_id()`.

#### Parameters

node | A JsonNode returned by the server. |

#### Returns

A new ZpjSkydrivePhoto. Free the returned object with `g_object_unref()`.

[transfer full]

## Types and Values

### struct ZpjSkydrivePhoto

    struct ZpjSkydrivePhoto;

The ZpjSkydrivePhoto structure contains only private data and should only be accessed using the provided API.

### struct ZpjSkydrivePhotoClass

    struct ZpjSkydrivePhotoClass {
      ZpjSkydriveFileClass parent_class;
    };

Class structure for ZpjSkydrivePhoto.

#### Members